%define cvs_date 20031109

%def_without static
%def_without ladcca
%def_without SSE

Name: fluidsynth
Version: 1.0.3
%define release alt2

%ifdef cvs_date
Release: %{release}cvs%cvs_date
%else
Release: %release
%endif

Summary: Software real-time synthesizer
Summary(ru_RU.KOI8-R):  ,     
Group: Sound
URL: http://www.fluidsynth.org
License: LGPL

%ifdef cvs_date
Source: %name-%version-%cvs_date.tar.bz2
%else
Source: http://savannah.nongnu.org/download/fluid/stable.pkg/%version/%name-%version.tar.gz
%endif

Obsoletes: iiwusynth
Provides: iiwusynth = %version-%release

Requires: lib%name = %version-%release

%define jack_ver 0.75.0
%define ladcca_ver 0.4.0
%define alsa_ver 0.9.8-alt2

%if_with ladcca
BuildPreReq: libladcca-devel >= %ladcca_ver
%endif

BuildPreReq: jackit-devel >= %jack_ver
BuildPreReq: libalsa-devel >= %alsa_ver

# Automatically added by buildreq on Sun Nov 09 2003
BuildRequires: docbook-dtds docbook-style-xsl doxygen gcc-c++ gcc-g77 jackit-devel ladspa_sdk libalsa-devel libncurses-devel libreadline-devel libstdc++-devel libxslt pkgconfig xml-common xsltproc

%description
FluidSynth is a software real-time synthesizer based on the
Soundfont 2 specifications.

FluidSynth reads and handles MIDI events from the MIDI input
device. It is the software analogue of a MIDI synthesizer. FluidSynth
can also play midifiles using a Soundfont.

%description -l ru_RU.KOI8-R
FluidSynth --   ,     
     Soundfont 2.

FluidSynth    MIDI-   
MIDI-.  ,     
MIDI-. FluidSynth    MIDI-, 
 Soundfont.

%package -n lib%name
Summary: Shared libraries for %name
Summary(ru_RU.KOI8-R):    %name
Group: System/Libraries
Obsoletes: libiiwusynth
Provides: libiiwusynth = %version-%release
Requires: libjack >= %jack_ver
%if_with ladcca
Requires: libladcca >= %ladcca_ver
%endif
Requires: libalsa >= %alsa_ver

%description -n lib%name
FluidSynth is a software real-time synthesizer based on the
Soundfont 2 specifications.

FluidSynth reads and handles MIDI events from the MIDI input
device. It is the software analogue of a MIDI synthesizer. FluidSynth
can also play midifiles using a Soundfont.

This package contains libraries for %name package

%description -n lib%name -l ru_RU.KOI8-R
FluidSynth --   ,    
     Soundfont 2.

FluidSynth    MIDI-  
MIDI-.  ,    
MIDI-. FluidSynth    MIDI-,
 Soundfont.

    ,    %name

%package -n lib%name-devel
Summary: Development environment for %name
Summary(ru_RU.KOI8-R):    %name
Group: Development/C
Obsoletes: libiiwusynth-devel
Provides: libiiwusynth-devel = %version-%release
Requires: lib%name = %version-%release
Requires: libalsa-devel >= %alsa_ver
Requires: jackit-devel >= %jack_ver
%if_with ladcca
Requires: libladcca-devel >= %ladcca_ver
%endif

%description -n lib%name-devel
FluidSynth is a software real-time synthesizer based on the
Soundfont 2 specifications.

FluidSynth reads and handles MIDI events from the MIDI input
device. It is the software analogue of a MIDI synthesizer. FluidSynth
can also play midifiles using a Soundfont.

This package contains headers and development files for lib%name package

%description -n lib%name-devel -l ru_RU.KOI8-R
FluidSynth --   ,    
     Soundfont 2.

FluidSynth    MIDI-  
MIDI-.  ,    
MIDI-. FluidSynth    MIDI-,
 Soundfont.

   ,      
%name

%package -n lib%name-devel-static
Summary: Static %name library
Summary(ru_RU.KOI8-R):    %name
Group: Development/C
Obsoletes: libiiwusynth-devel-static
Provides: libiiwusynth-devel-static = %version-%release
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
FluidSynth is a software real-time synthesizer based on the
Soundfont 2 specifications.

FluidSynth reads and handles MIDI events from the MIDI input
device. It is the software analogue of a MIDI synthesizer. FluidSynth
can also play midifiles using a Soundfont.

This package contains static libraries for %name package

%description -n lib%name-devel-static -l ru_RU.KOI8-R
FluidSynth --   ,    
     Soundfont 2.

FluidSynth    MIDI-  
MIDI-.  ,    
MIDI-. FluidSynth    MIDI-,
 Soundfont.

      %name

%prep
%ifdef cvs_date
%setup -q -n %name
%else
%setup -q
%endif

%build
%ifdef cvs_date
./autogen.sh
%endif

%configure \
	--enable-shared \
	--enable-static \
	--enable-ladspa \
	--enable-oss-support \
	--enable-alsa-support \
	--enable-jack-support \
%if_with SSE
	--enable-SSE \
%endif
%if_without ladcca
	--disable-ladcca
%endif

%make_build
%make -C doc update-docs

%install
%makeinstall

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la
%if_without static
%__rm -f %buildroot%_libdir/*.a
%endif

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%_bindir/*
%_man1dir/*

%files -n lib%name
%_libdir/*.so.*
%doc AUTHORS README THANKS NEWS

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%doc ChangeLog TODO
%doc doc/{api,html}

%if_with static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%changelog
* Sun Nov 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.3-alt2cvs20031109
- do not package .la files.
- do not build devel-static subpackage by default.

* Sun Nov 16 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.3-alt1.2cvs20031109
- rebuild to fix .la files.
- summary, description by avp.

* Sun Nov 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.3-alt1.1cvs20031109
- current cvs snapshot required to build muse-0.6.2.
- ladcca support temporarily disabled, not ready for 0.4.0 yet.

* Thu Aug 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.3-alt1
- 1.0.3

* Fri Apr 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.1-alt1
- 1.0.1

* Sat Mar 15 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt1
- iiwusynth->fluidsynth
- new version

* Tue Mar 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.5-alt1
- 0.2.5

* Tue Sep 17 2002 Sergey V Turchin <zerg@altlinux.ru> 0.2.2-alt1
- initial spec

